#include <iostream>
#include <iomanip>
#include <algorithm>
#include <climits>
#define forn(i, n) for (int i = 0; i < n; i++)
using namespace std;
struct compa {
    bool operator() (pair<int, double> a, pair<int, double> b) const {
        return a.second > b.second;
    }
};
int main() {
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
    int n;
    cin >> n;
    pair<int, double> ap[n];
    forn(i, n) cin >> ap[i].first >> ap[i].second;
    forn(i, n) ap[i].second /= 100;
    double sum = 0;
    double maxx = INT_MIN;
    sort(ap, ap+n, compa());
    forn(i, n) {
        sum+=ap[i].first;
        maxx=max(maxx, sum*ap[i].second);
    }
    cout << setprecision(4) << fixed << maxx << endl;
}